# Single/Plus Utils

This contract can check the available reward for Single / Plus Pool of the KLAYswap service.

## Address

* Cypress : [0x3C9736fFd8752342eC64328C498eD6878A797887](https://scope.klaytn.com/account/0x3C9736fFd8752342eC64328C498eD6878A797887?tabId=internalTx)

{% tabs %}
{% tab title="Read-Only Functions" %}

## Read-Only Functions

**getPendingSingleReward**

```solidity
function getPendingSingleReward(address pool, address user) public view returns (
    uint reward
) 
```

* Claimable KSP reward information in a specific single pool
* Input Parameters
  * `pool` : Single Pool address
  * `user` : User address
* Outputs
  * `reward` : Claimable KSP reward&#x20;

**getPendingPlusReward**

```solidity
function getPendingPlusReward(address pool, address user) public view returns (
    uint reward
) 
```

* Claimable KSP reward information in a specific plus pool
* Input Parameters
  * `pool` : Plus Pool address
  * `user` : User address
* Outputs

  * `reward` : Claimable KSP reward&#x20;

**getSinglePoolBalance**

```solidity
function getSinglePoolBalance(address pool, address user) public view returns (
    uint ibal, uint bal
)
```

* Query the number of assets of a user in a specific SinglePool
* Input Parameters
  * `pool` : Single Pool address
  * `user` : User address
* Outputs
  * `ibal` : Number of iTokens deposited by users
  * `bal` : The number of tokens corresponding to the iToken deposited by the user

**getPlusPoolStatus**

```solidity
function getPlusPoolStatus(address pool, address user) public view returns (
    uint lp, uint debtA, uint debtB
)

```

* User's current status in a specific PlusPool
* Input Parameters
  * `pool` : Plus Pool address
  * `user` : User address
* Outputs
  * `lp` : The number of LPs that the user is depositing in PlusPool
  * `debtA`  : The number of tokenA borrowed by the user
  * `debtB`  : The number of tokenB borrowed by the user
    {% endtab %}
    {% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.klayswap.com/developers/contract/single-plus-utils.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
